## org.codehaus.groovy.grails.test
Interface GrailsTestType

All Known Implementing Classes:
  GrailsTestTypeSupport, JUnit3GrailsTestType

    public interface GrailsTestType

Method Summary
`void` `cleanup()`
`String` `getName()`
`String` `getRelativeSourcePath()`
`int` `prepare(GrailsTestTargetPattern[] testTargetPatterns, File compiledClassesDir, groovy.lang.Binding buildBinding)`
`GrailsTestTypeResult` `run(GrailsTestEventPublisher eventPublisher)`

Method Detail

### getName

    String getName()

### getRelativeSourcePath

    String getRelativeSourcePath()

### prepare

    int prepare(GrailsTestTargetPattern[] testTargetPatterns,
                File compiledClassesDir,
                groovy.lang.Binding buildBinding)

### run

    GrailsTestTypeResult run(GrailsTestEventPublisher eventPublisher)

### cleanup

    void cleanup()

Copyright (c) 2005-2009 The Grails project